Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Rhythmbox compiliert nicht richtig nach Python 2.7-Update
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
reMod
n00b
n00b


Joined: 29 Jan 2011
Posts: 50
Location: near Munich

PostPosted: Wed Apr 06, 2011 1:25 pm    Post subject: Rhythmbox compiliert nicht richtig nach Python 2.7-Update Reply with quote

Hi Leute,

nachdem ich von Python 2.6 auf 2.7 geupdatet habe, will mir revdep-rebuild Rhythmbox und paar andere Pakete neu compilieren. Aber Rhythmbox failed irgendwie ständig: http://nopaste.remodding.de/code/TEzMDIwOTYyNTQZW
An was liegt das? Irgendwie spielt hier bisschen was verrückt seit dem Update...

Vielen Dank für Eure Hilfe!
_________________
Larry, I was a bit frustrated at the current state of Linux Distributions too since I tried Gentoo Linux... ;-)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Apr 06, 2011 1:49 pm    Post subject: Reply with quote

Was für eine python Version hast du denn aktuell gesetzt?
siehe
Code:
eselect python list

Hattest du nach dem Umstellen
Code:
python-updater
auch schon vollständig durchgebracht?
Back to top
View user's profile Send private message
reMod
n00b
n00b


Joined: 29 Jan 2011
Posts: 50
Location: near Munich

PostPosted: Wed Apr 06, 2011 1:53 pm    Post subject: Reply with quote

Gesetzt ist Version 3.1, installiert sind alle drei.

Code:
Available Python interpreters:
  [1]   python2.6
  [2]   python2.7
  [3]   python3.1 *


python-updater habe ich schon ausgeführt, aber irgendwie nimmt der Befehl in dem Fall meine Binarys nicht, deshalb habe ich mit dem neu Compilieren erstmal gewartet (wären 37 Pakete).
_________________
Larry, I was a bit frustrated at the current state of Linux Distributions too since I tried Gentoo Linux... ;-)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Apr 06, 2011 2:09 pm    Post subject: Reply with quote

python3.1 sollte eigentlich noch nicht systemweit gesetzt werden.
Siehe hierzu auch die Info aus der gentoo News zu Python3.1 (oder auch hier )

Stelle am besten auf python2.7 um und lasse dann den python-updater die Pakete passend neu bauen (also nicht die Binarys verwenden, sondern wirklich neu bauen)

Ich denke das sollte problemlos klappen.
Back to top
View user's profile Send private message
reMod
n00b
n00b


Joined: 29 Jan 2011
Posts: 50
Location: near Munich

PostPosted: Wed Apr 06, 2011 2:13 pm    Post subject: Reply with quote

Entschuldigung, sind doch 67 Pakete die neu zu bauen wären...

Ich schau mal was ich tun kann.
_________________
Larry, I was a bit frustrated at the current state of Linux Distributions too since I tried Gentoo Linux... ;-)
Back to top
View user's profile Send private message
reMod
n00b
n00b


Joined: 29 Jan 2011
Posts: 50
Location: near Munich

PostPosted: Wed Apr 06, 2011 2:17 pm    Post subject: Reply with quote

Auch wenn ich es auf 2.7 setzte compiliert Rhythmbox nicht richtig...
_________________
Larry, I was a bit frustrated at the current state of Linux Distributions too since I tried Gentoo Linux... ;-)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Apr 06, 2011 2:46 pm    Post subject: Reply with quote

Warum nicht? Wie schaut die Fehlermeldung aus?

Die anderen 66 Pakete konnten aber schon via python-updater erfolgreich mit python2.7 gebaut werden?
Back to top
View user's profile Send private message
reMod
n00b
n00b


Joined: 29 Jan 2011
Posts: 50
Location: near Munich

PostPosted: Wed Apr 06, 2011 2:49 pm    Post subject: Reply with quote

Die Fehlermeldung war identisch mit der aus meinem ersten Post.
Ich habe Python 2.7 jetzt nochmal deinstalliert und auf 2.6 umgestellt. python-updater will trotzdem 59 Pakete neu compilieren, das kann doch wohl nicht sein?!
_________________
Larry, I was a bit frustrated at the current state of Linux Distributions too since I tried Gentoo Linux... ;-)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Apr 06, 2011 3:08 pm    Post subject: Reply with quote

In deinem ersten Post ging es doch aber um python2.6
reMod wrote:
Code:
make[2]: Entering directory `/var/tmp/portage/media-sound/rhythmbox-0.12.8-r1/work/rhythmbox-0.12.8/bindings'
Making all in python
make[3]: Entering directory `/var/tmp/portage/media-sound/rhythmbox-0.12.8-r1/work/rhythmbox-0.12.8/bindings/python'
( cd . && /usr/bin/python /usr/lib/python2.6/site-packages/gtk-2.0/codegen/codegen.py \
--register /usr/share/pygtk/2.0/defs/gtk-types.defs \
--register /usr/share/gst-python/0.10/defs/gst-types.defs \
--override rhythmdb.override \
--prefix pyrhythmdb rhythmdb.defs ) > rhythmdb.c
( cd . && /usr/bin/python /usr/lib/python2.6/site-packages/gtk-2.0/codegen/codegen.py \
--register /usr/share/pygtk/2.0/defs/gtk-types.defs \
--register /usr/share/pygtk/2.0/defs/gdk-base-types.defs \
--register /usr/share/gst-python/0.10/defs/gst-types.defs \
--register rhythmdb.defs \
--override rb.override \
--prefix pyrb rb.defs ) > rb.c
File "/usr/lib/python2.6/site-packages/gtk-2.0/codegen/codegen.py", line 429
except argtypes.ArgTypeError, ex:
^
SyntaxError: invalid syntax
make[3]: *** [rb.c] Fehler 1
make[3]: *** Warte auf noch nicht beendete Prozesse...
File "/usr/lib/python2.6/site-packages/gtk-2.0/codegen/codegen.py", line 429
except argtypes.ArgTypeError, ex:
^
SyntaxError: invalid syntax
make[3]: *** [rhythmdb.c] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/media-sound/rhythmbox-0.12.8-r1/work/rhythmbox-0.12.8/bindings/python'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/var/tmp/portage/media-sound/rhythmbox-0.12.8-r1/work/rhythmbox-0.12.8/bindings'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/rhythmbox-0.12.8-r1/work/rhythmbox-0.12.8'
make: *** [all] Fehler 2
emake failed
* ERROR: media-sound/rhythmbox-0.12.8-r1 failed (compile phase):

Und du meintest auch das du es versuchst via Binary Package zu installieren...
Normal hat =media-sound/rhythmbox-0.12.8-r1 überhaupt keine Abhängigkeiten auf python2.6 (daher nehme ich an das es sich auch mit python2.7 problemlos bauen lassen sollte.)
Bist du dir sicher das gentoo die richtige Distribution für dich ist? (wenn du über zu viele verfügbare Updates klagst...)
Back to top
View user's profile Send private message
reMod
n00b
n00b


Joined: 29 Jan 2011
Posts: 50
Location: near Munich

PostPosted: Wed Apr 06, 2011 3:16 pm    Post subject: Reply with quote

Ich klage ja nicht über zu viel Updates, sondern mehr darum, sie selbst compilieren zu müssen ;-) Normalerweise baut die immer ein Zweitrechner, aber es ist schon sehr komisch, wieso sie auf diesem auf einmal nicht funktionieren.

Mal sehen was ich selbst noch tun kann, werde an dem Problem dran bleiben.
_________________
Larry, I was a bit frustrated at the current state of Linux Distributions too since I tried Gentoo Linux... ;-)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Apr 06, 2011 3:29 pm    Post subject: Reply with quote

Ich habs hier grad mal durchgeschossen, und es ließ sich problemlos mit python2.7 auf einem x86 System bauen
Code:
 * Compilation and optimization of Python modules for CPython 2.7 ...                                                                [ ok ]
 *
 * If rhythmbox doesn't play some music format, please check your
 * USE flags on media-plugins/gst-plugins-meta
 *
>>> media-sound/rhythmbox-0.12.8-r1 merged.
>>> Regenerating /etc/ld.so.cache...


Nungut, du wirst es schon hinbekommen ;)
Viel Erfog
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum